PostgreSQL 7.1.3 Documentation
Prev |  | Next

# COMMENT

## Name

COMMENT -- Add comment to an object

## Synopsis

    COMMENT ON
    [
      [ DATABASE | INDEX | RULE | SEQUENCE | TABLE | TYPE | VIEW ]
      object_name |
      COLUMN table_name.column_name|
      AGGREGATE agg_name agg_type|
      FUNCTION func_name (arg1, arg2, ...)|
      OPERATOR op (leftoperand_type rightoperand_type) |
      TRIGGER trigger_name ON table_name
    ] IS 'text'

### Inputs

`object_name, table_name, column_name, agg_name, func_name, op, trigger_name`

  The name of the object to be be commented.

`text`

  The comment to add.

### Outputs

`COMMENT`

  Message returned if the table is successfully commented.

## Description

COMMENT adds a comment to an object that can be easily retrieved with psql's \dd, \d+, or \l+ commands. To remove a comment, use `NULL`. Comments are automatically dropped when the object is dropped.

## Usage

Comment the table `mytable`:

    COMMENT ON mytable IS 'This is my table.';

Some more examples:

    COMMENT ON DATABASE my_database IS 'Development Database';
    COMMENT ON INDEX my_index IS 'Enforces uniqueness on employee id';
    COMMENT ON RULE my_rule IS 'Logs UPDATES of employee records';
    COMMENT ON SEQUENCE my_sequence IS 'Used to generate primary keys';
    COMMENT ON TABLE my_table IS 'Employee Information';
    COMMENT ON TYPE my_type IS 'Complex Number support';
    COMMENT ON VIEW my_view IS 'View of departmental costs';
    COMMENT ON COLUMN my_table.my_field IS 'Employee ID number';
    COMMENT ON AGGREGATE my_aggregate (double precision) IS 'Computes sample variance';
    COMMENT ON FUNCTION my_function (timestamp) IS 'Returns Roman Numeral';
    COMMENT ON OPERATOR ^ (text, text) IS 'Performs intersection of two text';
    COMMENT ON TRIGGER my_trigger ON my_table IS 'Used for R.I.';

## Compatibility

### SQL92

There is no COMMENT in SQL92.

Prev | Home | Next
CLUSTER | Up | COMMIT